Status pages
Delete Status Page
Permanently deletes a status page. Requires the role `admin` or `editor`.
DELETE /api/status-pages/:id
Example (cURL)
curl -X DELETE "$BASE_URL/api/status-pages/1" \
-H "Authorization: Bearer $TOKEN"Response
{ "deleted": true, "id": 1 }Common errors
401 Unauthorizedwhen not authenticated403 Forbidden(forbidden) when the role is neitheradminnoreditor(for examplereadonly, global supporter)403 Forbidden(managed_by_organization) when a customer-bound token deletes amanagedpage without the customer'scanEditManagedexception404 Not foundwhen the status page does not exist